> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Create or replace a student event score

POST https://ssuccessv2.com/app/api/v1/school-tests/event-scores
Content-Type: application/json

Creates or updates the score for a student and event, or removes the existing score when all score fields are empty.

Reference: https://docs.schoolset.io/api-reference/school-set-api/school-test-scores/create-school-test-event-score

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Body (application/json)

This endpoint expects an object.

- `school_test_event_id` (integer, required)
- `student_id` (integer, required)
- `score_value` (string, optional, nullable)
- `comments` (string, optional, nullable)
- `test_file_id` (integer, optional, nullable)

## Response

### 200

Score was created, updated, or deleted and its identifier is returned.

## Errors

### 401 Unauthorized Error

Authentication is required.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

The user lacks the create-school-test permission.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

The event or student score payload is invalid.

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Examples

**Request**

```json
{
  "school_test_event_id": 91,
  "student_id": 1204,
  "score_value": "87",
  "comments": "Shows strong computation skills.",
  "test_file_id": null
}
```

**Response**

```json
{
  "status": "success",
  "message": "Score created successfully.",
  "data": {
    "id": 7001
  }
}
```

**SDK Code**

```python School Test Scores_createSchoolTestEventScore_example
import requests

url = "https://ssuccessv2.com/app/api/v1/school-tests/event-scores"

payload = {
    "school_test_event_id": 91,
    "student_id": 1204,
    "score_value": "87",
    "comments": "Shows strong computation skills.",
    "test_file_id": None
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript School Test Scores_createSchoolTestEventScore_example
const url = 'https://ssuccessv2.com/app/api/v1/school-tests/event-scores';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"school_test_event_id":91,"student_id":1204,"score_value":"87","comments":"Shows strong computation skills.","test_file_id":null}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go School Test Scores_createSchoolTestEventScore_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/school-tests/event-scores"

	payload := strings.NewReader("{\n  \"school_test_event_id\": 91,\n  \"student_id\": 1204,\n  \"score_value\": \"87\",\n  \"comments\": \"Shows strong computation skills.\",\n  \"test_file_id\": null\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby School Test Scores_createSchoolTestEventScore_example
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/school-tests/event-scores")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"school_test_event_id\": 91,\n  \"student_id\": 1204,\n  \"score_value\": \"87\",\n  \"comments\": \"Shows strong computation skills.\",\n  \"test_file_id\": null\n}"

response = http.request(request)
puts response.read_body
```

```java School Test Scores_createSchoolTestEventScore_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v1/school-tests/event-scores")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"school_test_event_id\": 91,\n  \"student_id\": 1204,\n  \"score_value\": \"87\",\n  \"comments\": \"Shows strong computation skills.\",\n  \"test_file_id\": null\n}")
  .asString();
```

```php School Test Scores_createSchoolTestEventScore_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v1/school-tests/event-scores', [
  'body' => '{
  "school_test_event_id": 91,
  "student_id": 1204,
  "score_value": "87",
  "comments": "Shows strong computation skills.",
  "test_file_id": null
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp School Test Scores_createSchoolTestEventScore_example
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/school-tests/event-scores");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"school_test_event_id\": 91,\n  \"student_id\": 1204,\n  \"score_value\": \"87\",\n  \"comments\": \"Shows strong computation skills.\",\n  \"test_file_id\": null\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift School Test Scores_createSchoolTestEventScore_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "school_test_event_id": 91,
  "student_id": 1204,
  "score_value": "87",
  "comments": "Shows strong computation skills.",
  "test_file_id": 
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/school-tests/event-scores")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```